unit particlefrm;

interface

uses
  {$IFNDEF FPC}Windows, {$ELSE}LResources, {$ENDIF} SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_ani, dx_dynamics, dx_objects, dx_dsgn_particle,
  dx_vgcore, dx_vglayer;

type
  TfrmParticle = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    Light1: TdxLight;
    Cylinder1: TdxCylinder;
    Cylinder2: TdxCylinder;
    ParticleEmitter1: TdxParticleEmitter;
    FloatAnimation1: TdxFloatAnimation;
    Sphere1: TdxSphere;
    ParticleEmitter2: TdxParticleEmitter;
    GUIObjectLayer1: TdxGUIObjectLayer;
    Root2: TvxLayout;
    HudButton1: TvxHudButton;
    procedure HudButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmParticle: TfrmParticle;

implementation

{$R *.dfm}

procedure TfrmParticle.HudButton1Click(Sender: TObject);
var
  frmParticleDesign: TdxParticleDialog;
begin
  frmParticleDesign := TdxParticleDialog.Create(Application);
  frmParticleDesign.Emitter := ParticleEmitter1;
  if frmParticleDesign.Execute(ParticleEmitter1.Scene) then
    ParticleEmitter1.Assign(frmParticleDesign.Emitter);
  frmParticleDesign.Free;
end;

end.
